Update Feed
PATCH
/api/v1/workspaces/{workspace_id}/feeds/{id}
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/feeds/1';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"First name","url":"https://example.com","request_method":"get","parameters":[{"label":"example","name":"example"}],"headers":[{"key":"example","value":"example"}],"fields":[{"key":"example","value":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/feeds/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "First name", "url": "https://example.com", "request_method": "get", "parameters": [ { "label": "example", "name": "example" } ], "headers": [ { "key": "example", "value": "example" } ], "fields": [ { "key": "example", "value": "example" } ] }'Updates a feed.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
id
required
integer
Feed ID
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
string
Example
First nameurl
string
Example
https://example.comrequest_method
string
Example
getparameters
Query parameters to include in the feed request.
Array<object>
object
label
required
string
name
required
string
headers
HTTP headers to include in the feed request.
Array<object>
object
key
required
string
value
required
string
fields
Field mappings that define how to extract data from the feed response.
Array<object>
object
key
required
string
value
required
string
Responses
Section titled “Responses”Successful
Media typeapplication/json
object
id
required
integer
name
required
string
url
required
string
request_method
required
string
parameters
required
Array<object>
object
label
required
string
name
required
string
headers
required
Array<object>
object
key
required
string
value
required
string
fields
required
Array<object>
object
key
required
string
value
required
string
created_at
required
string format: date-time
updated_at
required
string format: date-time
Example
{ "id": 12345, "name": "My Feed", "url": "https://example.com", "request_method": "get", "created_at": "2023-08-23T10:30:00.000Z", "updated_at": "2023-08-23T10:30:00.000Z"}Unauthorized
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Forbidden
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Not Found
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Unprocessable Entity
Media typeapplication/json
object
message
required
string
errors
required
object
key
additional properties
Array<string>
Example
{ "errors": { "username": [ "Username is required.", "Username must be unique." ], "email": [ "Invalid email format." ] }}